# 73. Vaicājums: iegūt režģotos datus ar atlasīto buferi

Vaicājums, lai iegūtu režģa datus no datu kopām, piemēram, "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" ar izvēlēto buferi.

{% hint style="danger" %}
Ieteicams izgūt tikai vienu datu kopu ar `sourceDataUrl` vienā pieprasījumā.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, un `MinusTwoPixels` ir pieejami kā `buferis`.

{% hint style="danger" %}
`sourceDataUrl` saite ir pieejama tikai **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<vietturis_priekš_farmas_uuid>"]){
    uuid
    nosaukums
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nosaukums
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/73.-vaicajums-iegut-rezgotos-datus-ar-atlasito-buferi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
